/**
 * OW2 Util
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ProtocolConfigRegistryImpl.java 5690 2011-01-05 20:34:57Z loris $
 * --------------------------------------------------------------------------
 */
package org.ow2.util.protocol.impl;

import java.util.concurrent.ConcurrentHashMap;

import org.ow2.util.protocol.api.IProtocolConfigRegistry;
import org.ow2.util.protocol.api.ProtocolConfig;

/**
 * Defines an implementation of the registry, supporting some concurrent accesses.
 *
 * @author Loris Bouzonnet
 */
public class ProtocolConfigRegistryImpl implements IProtocolConfigRegistry {

    private final ConcurrentHashMap<String, ProtocolConfig> configs =
        new ConcurrentHashMap<String, ProtocolConfig>();

    public ProtocolConfig getProtocolConfig(final String id) {
        return configs.get(id);
    }

    public void addProtocolConfig(final String id, final ProtocolConfig config) {
        configs.put(id, config);
    }

    public void removeProtocolConfig(final String id) {
        configs.remove(id);
    }

}
